--------Tier One--------

local electric_void_mining = {
	effects = {
		{type = "unlock-recipe", recipe = "void-miner-1"},
	},
	icon = "__void-miners__/graphics/icons/void-miner-1.png",
	icon_size = 32,--128
	name = "electric-void-mining",
	--order
	prerequisites = {"steel-processing", "electronics"},
	type = "technology",
	unit = {
		count = 100,
		ingredients = {
			{"automation-science-pack", 1}
		},
		time = 30
	},
}

local void_mining_fish = {
	effects = {
		{type = "unlock-recipe", recipe = "void-mining-fish"},
	},
	icon = "__base__/graphics/icons/fish.png",
	icon_size = 32,--128
	name = "void-fish-mining",
	--order
	prerequisites = {"electric-void-mining"},
	type = "technology",
	unit = {
		count = 50,
		ingredients = {
			{"automation-science-pack", 1}
		},
		time = 15
	},
}

local void_mining_simple_coal = {
	effects = {
		{type = "unlock-recipe", recipe = "void-mining-simple-coal"},
	},
	icon = "__base__/graphics/icons/coal.png",
	icon_size = 32,--128
	name = "void-mining-simple-coal",
	--order
	prerequisites = {"electric-void-mining"},
	type = "technology",
	unit = {
		count = 50,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
		},
		time = 30
	},
}

local void_mining_simple_oil = {
	effects = {
		{type = "unlock-recipe", recipe = "void-mining-simple-oil"},
	},
	icon = "__base__/graphics/icons/fluid/crude-oil.png",
	icon_size = 32,--128
	name = "void-mining-simple-oil",
	--order
	prerequisites = {"oil-processing","electric-void-mining"},
	type = "technology",
	unit = {
		count = 100,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
		},
		time = 30
	},
}

--------Tier Two--------

local advanced_void_mining = {
	effects = {
		{type = "unlock-recipe", recipe = "void-miner-2"},
	},
	icon = "__void-miners__/graphics/icons/void-miner-2.png",
	icon_size = 32,--128
	name = "advanced-void-mining",
	--order
	prerequisites = {"electric-void-mining"},
	type = "technology",
	unit = {
		count = 200,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
		},
		time = 30
	},
}

local void_mining_coal = {
	effects = {
		{type = "unlock-recipe", recipe = "void-mining-coal"},
	},
	icon = "__base__/graphics/icons/coal.png",
	icon_size = 32,--128
	name = "void-coal-mining",
	--order
	prerequisites = {"advanced-void-mining","void-mining-simple-coal"},
	type = "technology",
	unit = {
		count = 75,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
		},
		time = 30
	},
}

local void_mining_oil = {
	effects = {
		{type = "unlock-recipe", recipe = "void-mining-oil"},
	},
	icon = "__base__/graphics/icons/fluid/crude-oil.png",
	icon_size = 32,--128
	name = "void-oil-mining",
	--order
	prerequisites = {"advanced-oil-processing","void-mining-simple-oil","advanced-void-mining"},
	type = "technology",
	unit = {
		count = 150,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
		},
		time = 30
	},
}

local void_mining_uranium = {
	effects = {
		{type = "unlock-recipe", recipe = "void-mining-uranium"},
	},
	icon = "__base__/graphics/icons/uranium-ore.png",
	icon_size = 32,--128
	name = "void-uranium-mining",
	--order
	prerequisites = {"advanced-void-mining","uranium-processing"},
	type = "technology",
	unit = {
		count = 500,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
		},
		time = 30
	},
}

--------Tier 3--------

local nuclear_void_mining = {
	effects = {
		{type = "unlock-recipe", recipe = "void-miner-3"},
	},
	icon = "__void-miners__/graphics/icons/void-miner-3.png",
	icon_size = 32,--128
	name = "nuclear-void-mining",
	--order
	prerequisites = {"advanced-void-mining","kovarex-enrichment-process",},
	type = "technology",
	unit = {
		count = 2000,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
			{"production-science-pack", 1},
		},
		time = 30
	},
}

local void_mining_uranium235 = {
	effects = {
		{type = "unlock-recipe", recipe = "void-mining-uranium235"},
	},
	icon = "__base__/graphics/icons/uranium-235.png",
	icon_size = 32,--128
	name = "void-coal-uranium",
	--order
	prerequisites = {"nuclear-void-mining"},
	type = "technology",
	unit = {
		count = 2500,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1},
			{"space-science-pack", 1},
		},
		time = 30
	},
}

data:extend({
	--Tier One--
	electric_void_mining,
	void_mining_fish,
	void_mining_simple_coal,
	void_mining_simple_oil,
	--Tier Two--
	advanced_void_mining,
	void_mining_oil,
	void_mining_coal,
	void_mining_uranium,
	--Tier Three--
	nuclear_void_mining,
	void_mining_uranium235,
})